Uploaded image for project: 'NetBeans'
  1. NetBeans
  2. NETBEANS-4

Elect MPL for the core.network nsProxyAutoConfig.js

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 9.0
    • Component/s: None
    • Labels:

      Description

      platform/core.network uses nsProxyAutoConfig.js which has a triple-license MPL 1.1, GPL v2 and greater, LGPL 2.1 and greater.

      From these NetBeans picked LGPL-2.1.

      I believe the Mozilla Public License 1.1 would be a much better pick for Apache NetBeans.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                emi Emilian Bold
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: